Subject: Re: [Ila] [5gangip] plans for future work on Id-Loc split for 5G

From: Tom Herbert <[email-masked]>
Date: Sun, 18 Feb 2018 13:25:00 -0800

On Fri, Feb 16, 2018 at 11:25 AM, Behcet Sarikaya
<[email-masked]> wrote:
>
>
> On Thu, Feb 15, 2018 at 3:37 AM, <[email-masked]> wrote:
>>
>> Dear all,
>>
>> After some good discussion here on the list and some initial contact with
>> IAB, we think it could be worth to spend more thoughts on the ID-Loc split
>> topic of a mapping system providing end-to-end privacy of both Identities
>> and Location of peers. The use cases are 5G related route optimization for
>> changing (mobile) points of attachment of both end terminals (UE) and
>> network function services (e.g. UPF) …
>>
>> Focus should be on concrete approaches which can be prototyped instead of
>> pure theoretical (academic) discussions
>>
>> We think the work needs a problem statement draft, a comprehensive list of
>> requirements, and a framework document showing the environment where the
>> solution would fit in (w/o yet a complete solution space analysis) … in that
>> priority.
>>
>> We solicit for a discussion on the list before we meet in London.
>>
>> In London, IETF 101, we plan on organizing a side-meeting where we could
>> have a set of stimulating presentations.
>>
>> Topics we can imagine currently are
>>
>> - 5G lab trials.
>>
>> - Any initial work on the first deployment experience which potentially
>> underline the identified problem.
>
>
> Tom Herbert had a draft
>
> https://www.ietf.org/id/draft-herbert-idlocd-00.txt
>
> This draft could be relevant, let's discuss it.
>
We have pushed an initial implementation to git-hub as open source.
This is in github.com/quantonium/ila. The starting point to work with
this is https://github.com/quantonium/ila/blob/master/README.install.

This implements ilad as an ILA control daemon following the design of
the idloc draft. The current version implements a mapping system
database using Redis and ILA routers. The forwarding cache and ILA
mapping protocol (ILAMP
https://tools.ietf.org/html/draft-herbert-ila-ilamp-00) are TBD. For
populating the cache, ILAMP proposes to use secure redirects which are
something of a hybrid of the push and pull models described in the
idlocd draft.

The repository includes tests to emulate a RAN network in a box and
show seamless device mobility. We are currently working on bringing
this us in real radio network. We can do a demo of ilad at a 5GangIP
side meeting. If you're interested in developing and working on ilad,
please let me know!

Tom

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 19 Feb 2018 11:35:37 -0600

Hi Tom, all,

As Dirk mentioned, we are looking for problem statement, requirements,
framework, type of documents not tied to one specific
ID-Loc system.

> side meeting. If you're interested in developing and working on ilad,
Let's discuss this specific approach and others from the point of view of
developing the documents we need

Regards,
Behcet